Skip to main content
POST
/
v2
/
schedules
/
{schedule_id}
/
rate_cards
Bulk rate card operations on a schedule
curl --request POST \
  --url https://api.togai.com/v2/schedules/{schedule_id}/rate_cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operations": [
    {
      "actionType": "CREATE",
      "rateCardName": "<string>"
    }
  ]
}
'
{
  "rateCards": [
    {
      "billableId": "<string>",
      "type": "MINIMUM_COMMITMENT",
      "displayName": "<string>",
      "invoiceTiming": "IN_ADVANCE",
      "rateCardDetails": {},
      "name": "<string>",
      "referenceId": "<string>",
      "referenceType": "<string>",
      "pricePlanId": "<string>",
      "tag": "<string>",
      "currencies": [
        "<string>"
      ],
      "accountId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

schedule_id
string
required
Example:

"sch.20aUyEZSuYq.SoGbS"

Body

application/json

Payload to bulk rate card operations

Bulk rate card operations for price plan

operations
object[]
required

Response

Response for bulk rate card operations of a price plan

Bulk rate card operations response

rateCards
object[]
required